LSLOGINS(1)

BEZEICHNUNG
lslogins - Informationen zu bekannten Benutzern im System anzeigen

ÜBERSICHT
lslogins [Optionen] [-s|-u[=Benutzerkennung]] [-g Gruppen] [-l Anmeldungen] [Benutzername]

BESCHREIBUNG

Untersucht die wmtp- und btmp-Protokolle, /etc/shadow (falls nötig) und /etc/passwd und gibt die gewünschten Daten aus. Das optionale Argument Benutzername zwingt lslogins, alle verfügbaren Details über nur den festgelegten Benutzer anzuzeigen. In diesem Fall ist das Ausgabeformat anders als bei -l oder -g und unbekannte Benutzernamen werden als Fehler berichtet.

Die Vorgabeaktion ist die Auflistung von Informationen zu allen Benutzern im System.

OPTIONEN
Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --acc-expiration
    zeigt Daten zum Zeitpunkt der letzten Passwortänderung und des Ablaufs des Kontos an (siehe shadow(5) für weitere Informationen). Dafür sind Root-Rechte erforderlich.

--btmp-file Pfad
    gibt einen alternativen Pfad für bmtp an.

-c, --colon-separate
    trennt die Informationen zu jedem Benutzer mittels Doppelpunkt anstatt Zeilenvorschub.

-e, --export
    gibt die Daten im Format NAME=WERT aus.

-f, --failed
    zeigt Informationen zu den letzten fehlgeschlagenen Anmeldeversuchen des Benutzers an.

-G, --supp-groups
    zeigt Informationen zu ergänzenden Gruppen an.

-g, --groups=Gruppen
    zeigt nur Daten von Benutzern an, die zu den angegebenen Gruppen gehören. Es kann mehr als eine Gruppe angegeben werden; die Listeneinträge müssen durch Kommata getrennt werden. Unbekannte Gruppennamen werden ignoriert. Beachten Sie, dass die Beziehung zwischen Benutzer und Gruppe für Primärgruppen nicht sichtbar sein kann, wenn der Benutzer nicht explizit als Gruppenmitglied eingetragen ist (zum Beispiel in /etc/group). Falls der Befehl »lslogins« nach Gruppen sucht, dann werden nur die Gruppendatenbanken verwendet und die Benutzerdatenbank mit der primären Gruppenkennung überhaupt nicht.

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-L, --last
    zeigt Daten an, die Informationen zu den letzten Anmeldesitzungen des Benutzers enthalten.

-l, --logins=Anmeldungen
    zeigt nur Daten von Benutzern mit einer in Anmeldungen angegebenen Anmeldung (Benutzernamen oder -kennungen). Es kann mehr als eine Anmeldung angegeben werden; die Listeneinträge müssen durch Kommata getrennt werden. Unbekannte Anmeldenamen werden ignoriert.

-n, --newline
    zeigt jeden Informationsteil in einer separaten Zeile an.

--noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

--notruncate
    kürzt die Ausgabe nicht.

-o, --output Liste
    legt die auszugebenen Ausgabespalten fest. Die Vorgabeliste der Spalten darf erweitert werden, falls Liste im Format +Liste festgelegt ist.

--output-all
    gibt alle verfügbaren Spalten aus. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

-p, --pwd
    zeigt Informationen zur Anmeldung per Passwort an (siehe auch -afL).

-r, --raw
    gibt Rohdaten aus (keine Formatierung in Spalten).

-s, --system-accs
    zeigt Systembenutzerkonten an. Dazu gehören standardmäßig alle Konten mit einer Benutzerkennung ab 101 bis einschließlich 999, mit den Ausnahmen »nobody« oder »nfsnobody« (Benutzerkennung 65534). Diese fest kodierte Standardeinstellung kann durch die Parameter SYS_UID_MIN und SYS_UID_MAX in der Datei /etc/login.defs außer Kraft gesetzt werden.

--time-format Typ
    zeigt Daten im Kurz-, Voll- oder ISO-Format an. Vorgabe ist das Kurzformat, welches sowohl platzsparend als auch menschenlesbar ist.

-u, --user-accs
    zeigt Benutzerkonten an. Dazu gehören standardmäßig alle Konten mit einer Benutzerkennung von 1000 oder größer, mit den Ausnahmen »nobody« oder »nfsnobody« (Benutzerkennung 65534). Diese fest kodierte Standardeinstellung kann durch die Parameter UID_MIN und UID_MAX in der Datei /etc/login.defs außer Kraft gesetzt werden.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

--wtmp-file Pfad
    gibt einen alternativen Pfad für wmtp an.

-Z, --context
    zeigt den Sicherheitskontext des Benutzers an.

-z, --print0
    trennt Benutzereinträge mittels NUL-Zeichen anstatt Zeilenvorschub.

ANMERKUNGEN
Die vorgegebenen Schwellwerte für Benutzerkennungen werden aus /etc/login.defs gelesen.

EXIT-STATUS

0   wenn alles in Ordnung ist,

1   falls inkorrekte Argumente angegeben wurden,

2   falls ein ernstzunehmender Fehler auftritt (beispielsweise ein beschädigtes Protokoll).

SIEHE AUCH
group(5), passwd(5), shadow(5), utmp(5)

GESCHICHTE
Das Dienstprogramm lslogins wurde von logins inspiriert, welches zuerst in FreeBSD 4.10 erschien.

AUTOREN
Ondrej Oprala (ooprala@redhat.com)
Karel Zak (kzak@redhat.com)

VERFÜGBARKEIT
Der Befehl »lslogins« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/). heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.